package net.meltingwax.anonircd;

import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;


public class Utils {

    /**
     * Performs a string join.
     * @param delim What goes in between.
     * @param strings The array of strings.
     */
    public static String join(String delim, String[] strings) {
	if (strings.length == 0) {
	    return "";
	}
	
        String result = "";      // back in my day, we used StringBuffers

        for (String string : strings)
            result += delim + string;

        return result.substring(delim.length());
    }

    public static String makeAnonUserString(String nick) {
        return nick + "!~anonymous@unknown";
    }

    public static String makeBotUserString(String nick) {
        return nick + "!~bot@system";
    }

    public static String[] makeStringArray(String... arrStrings) {
        return arrStrings;
    }

    public static boolean stringArrayContains(String[] strings, String target) {
	for (String string : strings) {
	    if (string == null && target == null)
		return true;
	    
	    if (string != null && target != null && string.equals(target))
		return true;
	}
    
	return false;
    }
}
