package net.meltingwax.anonircd.conf;

import net.meltingwax.anonircd.*;
import net.meltingwax.anonircd.conf.excepts.*;
import net.meltingwax.anonircd.i.*;


/**
 * Provides default configuration values.
 */
public class ConfigDefaults implements ConfigProvider {

    public void addChannelBan(String channelName, String ipAddr) {
        throw new UnsupportedOperationException();
    }

    public void removeChannelBan(String channelName, String ipAddr) {
        throw new UnsupportedOperationException();
    }

    public boolean checkAuthCredentials(String login, String pass) {
        return false;
    }

    public boolean checkForChannelBan(String channelName, String ipAddr) {
        return false;
    }

    public boolean checkForTrustedWebClient(String clientIP) {
        return false;
    }

    public void reload() throws ConfigLoadException {
        return;
    }

    public AuthedAccount getAuthedAccount(String username) {
        return null;
    }

    public int getMaxMessageLength() {
        return 500;
    }

    public int getMaxTopicLength() {
        return 500;
    }

    public int getMaxChannelRecentMessages() {
        return 50;
    }

    public String getMOTD() {
        return "Welcome to the unstable AnonIRCd server\n"
            + "There are cookies in the kitchen.";
    }

    public int getPort() {
        return 6667;
    }

    public void saveAuthedAccount(AuthedAccount account) {
        throw new UnsupportedOperationException();
    }

    public boolean checkChannelOwned(String channelName) {
        return false;
    }

	public void saveChannelTopic(String channelName, String topic) {
        throw new UnsupportedOperationException();
	}
	
	public String getChannelTopic(String channelName) {
		return null;
	}
}
