package net.meltingwax.anonircd.conf.excepts;


/**
 * An Exception for errors that occur when loading a configuration.
 */
@SuppressWarnings("serial")
public class ConfigLoadException extends Exception {
    private Exception originalExcept;

    public ConfigLoadException(Exception originalExcept) {
        this.originalExcept = originalExcept;
    }

    public Exception getOriginalException() {
        return originalExcept;
    }
}
