package net.meltingwax.anonircd.excepts;


/**
 * An exception thrown when the provided message was too long.
 */
public class MessageTooLongException extends Exception {
    private static final long serialVersionUID = 1L;
    private String message;
    private int maxLength;

    public MessageTooLongException(String message, int maxLength) {
        this.message = message;
        this.maxLength = maxLength;
    }

    public String getMessage() {
        return message;
    }

    public int getMaxLength() {
        return maxLength;
    }
}
