package net.meltingwax.anonircd.excepts;


/**
 * An exception thrown when a provided topic is too long.
 */
public class TopicTooLongException extends Exception {
    private static final long serialVersionUID = 1L;
    private String topic;
    private int maxLength;

    public TopicTooLongException(String topic, int maxLength) {
        this.topic = topic;
        this.maxLength = maxLength;
    }

    public String getTopic() {
        return topic;
    }

    public int getMaxLength() {
        return maxLength;
    }
}
