
# AnonIRCd [![Build Status](https://travis-ci.org/meltingwax/anonircd.png)](https://travis-ci.org/meltingwax/anonircd)

AnonIRCd is a special IRC daemon that implements a forced anonymous policy. To do this, it works a lot differently than a regular IRCd.

## General Requirements
To compile anonircd, you'll need:
* The Java Development Kit (JDK)
* The Java Runtime Environment (JRE)

Typically, AnonIRCd has been run with the [Oracle Java Distribution](http://www.java.com). I have not tried with [OpenJDK](http://openjdk.java.net), but that doesn't mean it won't work.

All futher dependencies are bundled in the repository.

## Building and Running
To build a jar file, all you have to do is run:

        $ ant

To run the jar file, do the following. Upon your first run, it will prompt you for a superuser username and password.

        $ java -jar anonircd.jar

## Running Tests

Any class who name ends with the word "Test" is considered a test class. Ant is configured to pick these up automatically.

It is simple to run all tests:

        $ ant test
