package net.meltingwax.anonircd;

public class IRCConsts {
    public static String EOL                = "\r\n";

    public static String WELCOME            = "001";
    public static String YOURHOST           = "002";
    public static String CREATED            = "003";
    public static String MYINFO             = "004";
    public static String FEATURELIST        = "005";
    public static String TRACELINK          = "200";
    public static String TRACECONNECTING    = "201";
    public static String TRACEHANDSHAKE     = "202";
    public static String TRACEUNKNOWN       = "203";
    public static String TRACEOPERATOR      = "204";
    public static String TRACEUSER          = "205";
    public static String TRACESERVER        = "206";
    public static String TRACESERVICE       = "207";
    public static String TRACENEWTYPE       = "208";
    public static String TRACECLASS         = "209";
    public static String TRACERECONNECT     = "210";
    public static String STATSLINKINFO      = "211";
    public static String STATSCOMMANDS      = "212";
    public static String STATSCLINE         = "213";
    public static String STATSNLINE         = "214";
    public static String STATSILINE         = "215";
    public static String STATSKLINE         = "216";
    public static String STATSQLINE         = "217";
    public static String STATSYLINE         = "218";
    public static String ENDOFSTATS         = "219";
    public static String UMODEIS            = "221";
    public static String SERVICEINFO        = "231";
    public static String ENDOFSERVICES      = "232";
    public static String SERVICE            = "233";
    public static String SERVLIST           = "234";
    public static String SERVLISTEND        = "235";
    public static String STATSLLINE         = "241";
    public static String STATSUPTIME        = "242";
    public static String STATSOLINE         = "243";
    public static String STATSHLINE         = "244";
    public static String LUSERCONNS         = "250";
    public static String LUSERCLIENT        = "251";
    public static String LUSEROP            = "252";
    public static String LUSERUNKNOWN       = "253";
    public static String LUSERCHANNELS      = "254";
    public static String LUSERME            = "255";
    public static String ADMINME            = "256";
    public static String ADMINLOC1          = "257";
    public static String ADMINLOC2          = "258";
    public static String ADMINEMAIL         = "259";
    public static String TRACELOG           = "261";
    public static String ENDOFTRACE         = "262";
    public static String TRYAGAIN           = "263";
    public static String N_LOCAL            = "265";
    public static String N_GLOBAL           = "266";
    public static String NONE               = "300";
    public static String AWAY               = "301";
    public static String USERHOST           = "302";
    public static String ISON               = "303";
    public static String UNAWAY             = "305";
    public static String NOWAWAY            = "306";
    public static String WHOISUSER          = "311";
    public static String WHOISSERVER        = "312";
    public static String WHOISOPERATOR      = "313";
    public static String WHOWASUSER         = "314";
    public static String ENDOFWHO           = "315";
    public static String WHOISCHANOP        = "316";
    public static String WHOISIDLE          = "317";
    public static String ENDOFWHOIS         = "318";
    public static String WHOISCHANNELS      = "319";
    public static String LISTSTART          = "321";
    public static String LIST               = "322";
    public static String LISTEND            = "323";
    public static String CHANNELMODEIS      = "324";
    public static String CHANNELCREATE      = "329";
    public static String NOTOPIC            = "331";
    public static String CURRENTTOPIC       = "332";
    public static String TOPICINFO          = "333";
    public static String INVITING           = "341";
    public static String SUMMONING          = "342";
    public static String INVITELIST         = "346";
    public static String ENDOFINVITELIST    = "347";
    public static String EXCEPTLIST         = "348";
    public static String ENDOFEXCEPTLIST    = "349";
    public static String VERSION            = "351";
    public static String WHOREPLY           = "352";
    public static String NAMREPLY           = "353";
    public static String KILLDONE           = "361";
    public static String CLOSING            = "362";
    public static String CLOSEEND           = "363";
    public static String LINKS              = "364";
    public static String ENDOFLINKS         = "365";
    public static String ENDOFNAMES         = "366";
    public static String BANLIST            = "367";
    public static String ENDOFBANLIST       = "368";
    public static String ENDOFWHOWAS        = "369";
    public static String INFO               = "371";
    public static String MOTD               = "372";
    public static String INFOSTART          = "373";
    public static String ENDOFINFO          = "374";
    public static String MOTDSTART          = "375";
    public static String ENDOFMOTD          = "376";
    public static String MOTD2              = "377";
    public static String YOUREOPER          = "381";
    public static String REHASHING          = "382";
    public static String MYPORTIS           = "384";
    public static String TIME               = "391";
    public static String USERSSTART         = "392";
    public static String USERS              = "393";
    public static String ENDOFUSERS         = "394";
    public static String NOUSERS            = "395";
    public static String NOSUCHNICK         = "401";
    public static String NOSUCHSERVER       = "402";
    public static String NOSUCHCHANNEL      = "403";
    public static String CANNOTSENDTOCHAN   = "404";
    public static String TOOMANYCHANNELS    = "405";
    public static String WASNOSUCHNICK      = "406";
    public static String TOOMANYTARGETS     = "407";
    public static String NOORIGIN           = "409";
    public static String NORECIPIENT        = "411";
    public static String NOTEXTTOSEND       = "412";
    public static String NOTOPLEVEL         = "413";
    public static String WILDTOPLEVEL       = "414";
    public static String UNKNOWNCOMMAND     = "421";
    public static String NOMOTD             = "422";
    public static String NOADMININFO        = "423";
    public static String FILEERROR          = "424";
    public static String NONICKNAMEGIVEN    = "431";
    public static String ERRONEUSNICKNAME   = "432";
    public static String NICKNAMEINUSE      = "433";
    public static String NICKCOLLISION      = "436";
    public static String UNAVAILRESOURCE    = "437";
    public static String USERNOTINCHANNEL   = "441";
    public static String NOTONCHANNEL       = "442";
    public static String USERONCHANNEL      = "443";
    public static String NOLOGIN            = "444";
    public static String SUMMONDISABLED     = "445";
    public static String USERSDISABLED      = "446";
    public static String NOTREGISTERED      = "451";
    public static String NEEDMOREPARAMS     = "461";
    public static String ALREADYREGISTERED  = "462";
    public static String NOPERMFORHOST      = "463";
    public static String PASSWDMISMATCH     = "464";
    public static String YOUREBANNEDCREEP   = "465"; // lol;
    public static String YOUWILLBEBANNED    = "466";
    public static String KEYSET             = "467";
    public static String CHANNELISFULL      = "471";
    public static String UNKNOWNMODE        = "472";
    public static String INVITEONLYCHAN     = "473";
    public static String BANNEDFROMCHAN     = "474";
    public static String BADCHANNELKEY      = "475";
    public static String BADCHANMASK        = "476";
    public static String NOCHANMODES        = "477";
    public static String BANLISTFULL        = "478";
    public static String NOPRIVILEGES       = "481";
    public static String CHANOPRIVSNEEDED   = "482";
    public static String CANTKILLSERVER     = "483";
    public static String RESTRICTED         = "484";
    public static String UNIQOPPRIVSNEEDED  = "485";
    public static String NOOPERHOST         = "491";
    public static String NOSERVICEHOST      = "492";
    public static String UMODEUNKNOWNFLAG   = "501";
    public static String USERSDONTMATCH     = "502";
}
