package net.meltingwax.anonircd.bots.i;


/**
 * A bot on the IRCd.
 */
public interface Bot {

    /**
     * Callback for the bot receiving a message.
     * @param message The message sent
     * @param from The client
     */
    public void onMessage(String message, BotClient from);

    /**
     * Returns the nick of the bot.
     */
    public String getNick();
}
