package net.meltingwax.anonircd.conf.excepts;


/**
 * An exception for errors that occur when generating a configuration.
 */
@SuppressWarnings("serial")
public class ConfigGenException extends Exception {
    private String message;
    private Exception originalExcept;

    public ConfigGenException(String message, Exception originalExcept) {
        this.message = message;
        this.originalExcept = originalExcept;
    }

    public String getMessage() {
        return message;
    }

    public Exception getOriginalException() {
        return originalExcept;
    }
}
