package net.meltingwax.anonircd.conf.tests;

import net.meltingwax.anonircd.conf.*;
import net.meltingwax.anonircd.i.*;
import junit.framework.TestCase;


/**
 * Tests for the ConfigDefaults class.
 */
public class ConfigDefaultsTest extends TestCase {

    public void testGetMaxMessageLength() {
        ConfigProvider config = new ConfigDefaults();
        assertTrue(config.getMaxMessageLength() > 40);
    }

    public void testGetMaxTopicLength() {
        ConfigProvider config = new ConfigDefaults();
        assertTrue(config.getMaxTopicLength() > 30);
    }

    public void testGetMaxChannelRecentMessages() {
        ConfigProvider config = new ConfigDefaults();
        assertTrue(config.getMaxChannelRecentMessages() > 5);
    }

    public void testGetMOTD() {
        ConfigProvider config = new ConfigDefaults();
        assertNotNull(config.getMOTD());
    }

    public void testGetPort() {
        ConfigProvider config = new ConfigDefaults();
        assertTrue(config.getPort() > 0);
    }


}
