package net.meltingwax.anonircd.conf.tests;

import net.meltingwax.anonircd.conf.ConfigUtils;
import junit.framework.TestCase;
import java.security.*;


/**
 * Tests for the ConfigUtils class
 */
public class ConfigUtilsTest extends TestCase {

    public void testCanHashPasswords() {
        assertTrue(ConfigUtils.canHashPasswords());
    }

    public void testHashPassword() throws NoSuchAlgorithmException {
        assertFalse(ConfigUtils.hashPassword("abc").equals("abc"));
        assertFalse(ConfigUtils.hashPassword("").equals(""));

        try {
            ConfigUtils.hashPassword(null);
            fail();
        } catch (NullPointerException e) {
            // this is what we want
        }
    }
}
